Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.orkesta.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Metropol Kart - APM ile Ödeme Alma

POST https://api-test.fincraft.com.tr/api/v1/payments/apm-methods/auth

Auth - Request Body

{
    "cardNumber": "",
    "apmType": "METROPOL_CARD",
    "referenceId": "{{$guid}}",
    "amount": 5,
    "currency": "TRY",
    "clientIp": "192.168.1.100",
    "products": [
        {
            "name": "Ürün 1",
            "externalId": "PROD-001",
            "price": 5
        }
    ]
}

Auth - Response Body

{
    "response": {
        "paymentStatus": "WAITING",
        "additionalData": [
            {"WalletId": 1, "WalletName": "MARKET", "ProductName": "RESTO"},
            {"WalletId": 18, "WalletName": "MARKET", "ProductName": "GIDA-1"}
        ]
    }
}
Kullanıcıya auth işleminden sonra OTP gidecektir. OTP alındıktan sonra complete çağrılmalıdır: /api/v1/payments/apm-methods/complete

Complete - Request Body

{
    "referenceId": "a69c8dad-1127-49f6-b692-c3dffba0c877",
    "otpVerifyCode": "10992",
    "walletId": "1",
    "productId": "1",
    "cardNumber": ""
}

Complete - Response Body

{
    "response": {
        "referenceId": "cd885fe1-f9d6-4539-a04a-49505fa58db3",
        "status": "SUCCESS",
        "otpRequired": false,
        "apmTransactionId": "25534411511334765",
        "confirmRequired": false
    }
}